//
//
//  FileFormatConverter
//
//
//  $Id: FileFormatConverter.cc,v 1.1.1.1 2000/03/20 15:16:47 verkout Exp $
//
#ifndef FILEFORMATCONVERTER_H
#include <vlbi/ms2uvfitsimpl/Converters/FileFormatConverter.h>
#endif

//
//  System includes
//
#include <iostream.h>
#include <fstream.h>

//
// Local includes
//
#ifndef AIPS_REGULARFILE_H
#include <aips/OS/RegularFile.h>
#endif

#ifndef AIPS_STRING_H
#include <aips/Utilities/String.h>
#endif

#ifndef EXCEPTIONOBJECT_H
#include <vlbi/Utilities/AIPSExceptionObject.h>
#endif
//#include <aips/Exceptions.h>




//
//  The default constructor: nothing to do
//
FileFormatConverter::FileFormatConverter()
{
}


//
//  The base class convert-method: do not convert; copy!
//
Bool FileFormatConverter::convert( const String& outputfilename, const String& inputfilename ) const
{
    Bool        retval( False );
    RegularFile infile( inputfilename );

    try
    {
        infile.copy( outputfilename, False );
        retval=True;
    }
    catch( AIPSExceptionObject x)
    {
        x.getMesg();
    }
    end_try;

    return retval;
}


//
//  The desctructor: nothing to do!
//
FileFormatConverter::~FileFormatConverter()
{
}


