//
//  Implementation of the IDI Header generator class....
//
//  Author:  Harro Verkouter,  16-09-1999
//  
//  $Id: idihdrGenerator.cc,v 1.1.1.1 2000/03/20 15:16:47 verkout Exp $
//
//  $Log: idihdrGenerator.cc,v $
//  Revision 1.1.1.1  2000/03/20 15:16:47  verkout
//  HV: Imported aips++ implement-stuff
//
//
//
#ifndef IDIHDRGENERATOR_H
#include <vlbi/ms2uvfitsimpl/Generators/idihdrGenerator.h>
#endif

//
//  AIPS++ includes
//
#ifndef FITSPRIMARYARRAY_H_INC
#include <vlbi/ms2uvfitsimpl/FITSUtils/FITSIDIHeader.h>
#endif


#ifndef MSCONVERSION_H_INC
#include <vlbi/ms2uvfitsimpl/MSConversionInfo.h>
#endif


//
//  Default c'tor: nothing to do
//
idihdrGenerator::idihdrGenerator()
{
}


//
//  This function performs all the dirty work. It creates a dummy hdu
//  object! It is the callers response to delete the object if he/she
//  no longer desires to use the object!
//
Bool idihdrGenerator::convert( Vector<HDUObject*>& ref2hduptr, MSConversionInfo& inforef ) const
{
    FITSIDIHeader* newhdu( new FITSIDIHeader() );
    
    
    ref2hduptr.resize( 1 );
    ref2hduptr=(HDUObject*)newhdu;
    return True;
}


//
//  The d'tor: nothing to destruct at this moment.....
//
idihdrGenerator::~idihdrGenerator()
{
}











