//
//
//  Implementation of the converterbase-class
//
//
//  $Id: ConverterBase.cc,v 1.1.1.1 2000/03/20 15:15:58 verkout Exp $
//
#include <vlbi/tmplsrc/ConverterBase.h>


//
//  The default constructor: nothing to do
//
template <class tOuttype, class tIntype>
ConverterBase<tOuttype,tIntype>::ConverterBase()
{
}


//
//  The base class convert-method: do not convert; so always return
//  False
//
template <class tOuttype, class tIntype>
Bool ConverterBase<tOuttype,tIntype>::convert( tOuttype& , tIntype& ) const
{
    return False;
}

template <class tOuttype, class tIntype>
Bool ConverterBase<tOuttype,tIntype>::convert( const tOuttype& , const tIntype& ) const
{
    return False;
}


//
//  The desctructor: nothing to do!
//
template <class tOuttype, class tIntype>
ConverterBase<tOuttype,tIntype>::~ConverterBase()
{
}

