#
# Include the module-specific makefile
#
export FILESNEEDED = app.mak
export ERRFILE     = /tmp/env

#
# Test if usr has set his/her ROOT environment var
#
ifneq ($(strip $(ROOT)),)
	export MAKEINCLUDES = $(addprefix $(ROOT)/system/, $(FILESNEEDED))
else
	export MAKEINCLUDES = $(ERRFILE)
endif

include $(MAKEINCLUDES)
#
# Catch inclusion of $(ERRFILE)
#
$(ERRFILE):
	@echo; echo "==>  Please set your ROOT environment variable!";echo;


