//
//   Implementation of the FITSConversionInfo-class. See
//   FITSConversionInfo.h for details
//
//
//   Author:
//
//        Harro Verkouter
//
//
//   $Id: FITSConversionInfo.cc,v 1.1.1.1 2000/03/20 15:16:47 verkout Exp $
//
#ifndef FITSCONVERSIONINFO_H_INC
#include <vlbi/ms2uvfitsimpl/FITSConversionInfo.h>
#endif


//
//  Construct the object. Maybe, from the name we can find out whether
//  is's a tape or file. If the filename is an ordinary file, we
//  assume type=FITS::Disk. If the name starts with (e.g.) '/dev/mag'
//  or 'dev/rmt' we may assume type=FITS::Tape?
//
FITSConversionInfo::FITSConversionInfo( const String& fitsfilename ) :
    itsFilename( fitsfilename )
{
    //
    //  Attempt to create FITSInput object...
    //
    
}
    
const String& FITSConversionInfo::getFileName( void ) const
{
    return itsFilename;
}



//
//  Destruct the object.
//
FITSConversionInfo::~FITSConversionInfo()
{
}
