//
// hduGenerator.cc:
//
// Implementation of the hdu generator class. See hduGenerator.h for details.
//
//
// Author:
//
//          Harro Verkouter   12-3-1998
//
//
//  $Id: hduGenerator.cc,v 1.1.1.1 2000/03/20 15:16:47 verkout Exp $

#ifndef AIPS_AIPS_H
#include <aips/aips.h>
#endif

#ifndef HDUOBJECT_H_INC
#include <vlbi/ms2uvfitsimpl/FITSUtils/HDUObject.h>
#endif

#include <vlbi/ms2uvfitsimpl/MSConversionInfo.h>
#include <vlbi/ms2uvfitsimpl/Generators/hduGenerator.h>


//
//  Ok. Create a default hdu generator...doesn't do anything!
//
hduGenerator::hduGenerator()
{
}


//
//  The only public method: generate. Route this call through to a protected virtual function!
//
Vector<HDUObject*> hduGenerator::generate( MSConversionInfo& inforef ) const
{
    Vector<HDUObject*>   retval;
    
    this->convert(retval, inforef);
    return retval;
}



//
// This is the function that does the work
//
Bool hduGenerator::convert( Vector<HDUObject*>& ref2hduptr, MSConversionInfo& inforef ) const
{
    cout << "Generating zip!" << endl;
    ref2hduptr.resize(0);
    return False;
}


//
// Delete the generator!
//
hduGenerator::~hduGenerator()
{
}


