//
// tableGenerator.cc:
//
// Implementation of the table generator class. See tableGenerator.h for details.
//
//
// Author:
//
//          Harro Verkouter   12-3-1998
//
//
//  $Id: tableGenerator.cc,v 1.1.1.1 2000/03/20 15:16:47 verkout Exp $
#ifndef TABLEGENERATOR_H_INC
#include <vlbi/ms2uvfitsimpl/Generators/tableGenerator.h>
#endif

#ifndef FITSCONVERSIONINFO_H_INC
#include <vlbi/ms2uvfitsimpl/FITSConversionInfo.h>
#endif

#ifndef AIPS_AIPS_H
#include <aips/aips.h>
#endif



//
//  Ok. Create a default table generator...doesn't do anything!
//
tableGenerator::tableGenerator()
{
}


//
//  The only public method: generate. Route this call through to a protected virtual function!
//
Table* tableGenerator::generate( FITSConversionInfo& inforef ) const
{
    Table*   retval( 0 );
    
    cout << "Generating no table!" << endl;
    
    this->convert(retval, inforef);
    return retval;
}



//
// This is the function that does the work
//
Bool tableGenerator::convert( Table*& ref2tableptr, FITSConversionInfo& inforef ) const
{
    ref2tableptr=0;
    return False;
}


//
// Delete the generator!
//
tableGenerator::~tableGenerator()
{
}


