//
//  Froma a MSConversionInfo, generate a uv-binary table!
//
//  Author: Harro Verkouter,  13-09-1999
//
//
//  $Id: uvtableGenerator.h,v 1.1.1.1 2000/03/20 15:16:47 verkout Exp $
//
//  $Log: uvtableGenerator.h,v $
//  Revision 1.1.1.1  2000/03/20 15:16:47  verkout
//  HV: Imported aips++ implement-stuff
//
//
#ifndef UVTABLEGENERATOR_H
#define UVTABLEGENERATOR_H


//
//  Our base-class: we'll need it...
//
#ifndef HDUGENERATOR_H
#include <vlbi/ms2uvfitsimpl/Generators/hduGenerator.h>
#endif


class uvtableGenerator :
    public hduGenerator
{
public:
    //
    //  uvtable Generators do not take arguments...
    //
    uvtableGenerator();
    
    //
    //  delete allocated resources
    //
    virtual ~uvtableGenerator();

protected:
    //
    //  Ok.. do generate the HDU(s). This method is called by the
    //  system when it requests that the HDU's need to be created...
    //
    virtual Bool convert( Vector<HDUObject*>& ref2hduptr, MSConversionInfo& inforef ) const;
    
private:
    //
    //  Our private parts
    //


    //
    // These are undefined and hence we make'm inaccessible
    //
    uvtableGenerator( const uvtableGenerator& );
    uvtableGenerator& operator=( const uvtableGenerator& );
};






#endif
